#include <stdio.h>

/* Module: CPUTypeC.c */

/* This program prototypes C to ASM calling with return values */

extern int get_cpu_type ();

void main ()
{
    char *cpu_types[] = { "8088", "8086", "80286", "80386", "80486", "Pentium", "Pentium II" };
        
    int cpu_type;
    
    printf ( "\nDOS CPUType v1.1\n" );
    
    cpu_type = get_cpu_type ( );  /* This is an assembly language function */
    
    if ( cpu_type <= 6 )
       printf ( "\nThe processor detected was: %s\n", cpu_types[cpu_type] );
       
    else
       printf ( "\nReturned processor type was invalid. Value was %d\n", cpu_type );
    
} /* main */

